Bug 457776 - Error in multipath.conf.defaults causes reboot hangs if used in an actual config file
Error in multipath.conf.defaults causes reboot hangs if used in an actual con...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-04 11:52 EDT by Ian McLeod
Modified: 2010-01-11 21:44 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:47:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian McLeod 2008-08-04 11:52:49 EDT
Description of problem:

The multipath.conf.defaults stanza for CX arrays does not match the hard coded defaults.

The example file stanza:

#       device {
#               vendor                  "DGC"
#               product                 ".*"
#               product_blacklist       "LUN_Z"
#               getuid_callout          "/sbin/scsi_id -g -u -s /block/%n"
#               prio_callout            "/sbin/mpath_prio_emc /dev/%n"
#               features                "1 queue_if_no_path"
#               hardware_handler        "1 emc"
#               path_grouping_policy    group_by_prio
#               failback                immediate
#               rr_weight               uniform
#               no_path_retry           60
#               rr_min_io               1000
#               path_checker            emc_clariion
#       }


The hardcoded default blacklist is "LUNZ"
multipath.conf.default blacklist is "LUN_Z"

The hard coded default is correct and the example file is wrong.  The product string presented when the array is providing a "fake" LUN 0 is "LUNZ" without an underscore.  Using the example as the basis for a working config results in LUNZ being accessed by the multipath tools.  This causes some hosts to hang on reboot inside of rc.sysinit when dmsetup with "--target multipath" is run.  

Version-Release number of selected component (if applicable):

The multipath.conf.default is incorrect on all RHEL5 versions released through 5.2.
Comment 1 Ben Marzinski 2008-11-18 14:47:49 EST
Thanks for noticing this. Fixed.
Comment 2 joshua 2009-03-05 18:33:54 EST
Fixed where?  This hasn't been fixed in RHEL 5.3
Comment 4 joshua 2009-06-10 15:18:46 EDT
ping... hello?
Comment 5 Ben Marzinski 2009-06-10 16:25:55 EDT
The fix will be in available in RHEL 5.4
Comment 7 errata-xmlrpc 2009-09-02 07:47:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1377.html

Note You need to log in before you can comment on or make changes to this bug.